<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Productos</title>
    </h:head>
    <h:body>
        <p:fieldset legend="Productos">
            <p:dataTable value="#{productoController.lista}" var="producto">
                <p:column headerText="Nombre">
                    <p:outputLabel value="#{producto.nombre}"/>
                </p:column>
                <p:column headerText="Precio">
                    <p:outputLabel value="#{producto.precio}"/>
                </p:column>
                <p:column headerText="Stock">
                    <p:outputLabel value="#{producto.stock}"/>
                </p:column>
                <p:column headerText="Categoria">
                    <p:outputLabel value="#{producto.id_categoria.nombre}"/>
                </p:column>
            </p:dataTable>
        </p:fieldset>
    </h:body>
</html>

